Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class InvalidExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.netbeans.api.debugger.jpda.InvalidExpressionException

All Implemented Interfaces:
  Serializable

    public class InvalidExpressionException

extends Exception

Notification about bad expression.

See Also:
  Serialized Form

Constructor Summary
`InvalidExpressionException(String message)` Constructs a InvalidExpressionException with given message.
`InvalidExpressionException(Throwable t)` Constructs a InvalidExpressionException for a given target exception.

Method Summary
`Throwable` | `getTargetException()` Get the thrown target exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidExpressionException

    public InvalidExpressionException(String message)

  Constructs a InvalidExpressionException with given message.

  Parameters:
    `message` - a exception message

### InvalidExpressionException

    public InvalidExpressionException(Throwable t)

  Constructs a InvalidExpressionException for a given target exception.

  Parameters:
    `t` - a target exception

Method Detail

### getTargetException

    public Throwable getTargetException()

  Get the thrown target exception.

  Returns:
    the thrown target exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.